Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class InlineSettings

    java.lang.Object
      escjava.translate.InlineSettings

class InlineSettings
extends java.lang.Object

Field Summary
`(package private) boolean` | `dontCheckInlinedBody`
`(package private) boolean` | `dontCheckPreconditions`
`(package private) boolean` | `getSpecForInline`
`(package private) int` | `nextInlineCheckDepth`
`(package private) int` | `nextInlineDepthPastCheck`

Constructor Summary
`(package private)` | `InlineSettings(boolean dontCheckPreconditions, boolean dontCheckInlinedBody, boolean getSpecForInline)`
`(package private)` | `InlineSettings(boolean dontCheckPreconditions, boolean dontCheckInlinedBody, boolean getSpecForInline, int checkDepth, int depthPastCheck)`
`(package private)` | `InlineSettings(InlineSettings is, int checkDepth, int depthPastCheck)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dontCheckPreconditions

    boolean dontCheckPreconditions

### dontCheckInlinedBody

    boolean dontCheckInlinedBody

### getSpecForInline

    boolean getSpecForInline

### nextInlineCheckDepth

    int nextInlineCheckDepth

### nextInlineDepthPastCheck

    int nextInlineDepthPastCheck

Constructor Detail

### InlineSettings

    InlineSettings(boolean dontCheckPreconditions,
                   boolean dontCheckInlinedBody,
                   boolean getSpecForInline)

### InlineSettings

    InlineSettings(boolean dontCheckPreconditions,
                   boolean dontCheckInlinedBody,
                   boolean getSpecForInline,
                   int checkDepth,
                   int depthPastCheck)

### InlineSettings

    InlineSettings(InlineSettings is,
                   int checkDepth,
                   int depthPastCheck)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage